WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: cant set up tc15  (Read 1363 times)

Offline ulfr

  • Full Member
  • ***
  • Posts: 153
cant set up tc15
« on: May 12, 2024, 03:53:14 PM »

      hi all
     
     i am trying to set up tc 15

     i am having trouble with firefox, vlc and sound

     i have been able to download the latest firefox
     and it will go to youtube but will not play the videos

     i have been able to download vlc
     and cvlc will play .mp4 files
     but the gui will not stay open
     
     and there is no sound

     does anyone know how to set up pulseaudio

      thanks

      ulfr

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11322
Re: cant set up tc15
« Reply #1 on: May 12, 2024, 04:55:11 PM »
Hi ulfr
... does anyone know how to set up pulseaudio
Last time I needed to set up pulseaudio, I read the  .info  file:
http://tinycorelinux.net/15.x/x86/tcz/pulseaudio.tcz.info

Offline ulfr

  • Full Member
  • ***
  • Posts: 153
Re: cant set up tc15
« Reply #2 on: May 12, 2024, 05:02:04 PM »


   thank you so much rich

    will do

    ulfr

Offline ulfr

  • Full Member
  • ***
  • Posts: 153
Re: cant set up tc15
« Reply #3 on: May 14, 2024, 06:42:28 PM »
     hi all 

     thanks rich
     i have set up pulseaudio and have sound

     2 more issues


     1. firefox will not play youtube videos
         when run in terminal gives no errors
         firefox is up to date


     2. vlc will not open in gui
        cvlc will play mp4 files with sound
        says qt interface error: unable to load extensions module illegal instruction
        i loaded qt5-all but still will not work

       could my computer chip be too old and not have that instruction ?

       puppy linux plays everything fine
       so my computer should not be too old

       firefox plays videos with sound

       media player works fine
       but uses gnome mplayer instead of vlc
       

      any ideas

      ulfr






« Last Edit: May 14, 2024, 06:58:01 PM by ulfr »

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11322
Re: cant set up tc15
« Reply #4 on: May 14, 2024, 07:58:02 PM »
Hi ulfr
...         says qt interface error: unable to load extensions module illegal instruction
        i loaded qt5-all but still will not work

       could my computer chip be too old and not have that instruction ? ...
That's the reason for an  illegal instruction  error message.

Offline ulfr

  • Full Member
  • ***
  • Posts: 153
Re: cant set up tc15
« Reply #5 on: May 14, 2024, 08:04:06 PM »
    thanks rich for all your help

    is this problem specific to vlc and qt5
    is that why gnome mplayer works in puppy

    any possible work arounds

    also any ideas why firefox wont play videos

    ulfr
« Last Edit: May 14, 2024, 08:08:29 PM by ulfr »

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11322
Re: cant set up tc15
« Reply #6 on: May 14, 2024, 08:09:25 PM »
Hi ulfr
I would think this problem is specific to qt5 and
any extension that depends on it.

I don't use puppy so I can't comment on that.

Offline ulfr

  • Full Member
  • ***
  • Posts: 153
Re: cant set up tc15
« Reply #7 on: May 14, 2024, 08:35:38 PM »

     hi rich
 
     maybe qt5 instruction set is too new for this computer
     im going to try to use an older vlc gui

     i will also try to use an older firefox
 
     might work

     in my opinion tinycore is the best designed distro there is
     so i will keep plugging at it until i get things going

     if you have any ideas
     please post them on this thread

     and thanks for all your help
     i appreciate you giving up your precious time

     ulfr

     



Offline CNK

  • Full Member
  • ***
  • Posts: 249
Re: cant set up tc15
« Reply #8 on: May 14, 2024, 10:53:35 PM »
Note that Firefox doesn't use Qt, so that illegal instruction error should only relate to the VLC issue.

I don't play video in Firefox, but I believe to do so it uses libavcodec, which isn't loaded by default.

Try loading libavcodec5.tcz:
Code: [Select]
tce-load -wil libavcodec5

It could be that other extensions are also required, and if using the Mozilla binaries via the firefox_getLatest.sh script, you'll also need PulseAudio for sound (with firefox-ESR.tcz you only need ALSA).

Offline ulfr

  • Full Member
  • ***
  • Posts: 153
Re: cant set up tc15
« Reply #9 on: May 14, 2024, 11:02:39 PM »

     thank you very much cnk

     will do and report


     ulfr

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 11322
Re: cant set up tc15
« Reply #10 on: May 14, 2024, 11:20:34 PM »
Hi ulfr
... Try loading libavcodec5.tcz:
Code: [Select]
tce-load -wil libavcodec5 ...

I suspect you are running 32 bit, so you would need:
Code: [Select]
tce-load -wi libavcodec4

Offline ulfr

  • Full Member
  • ***
  • Posts: 153
Re: cant set up tc15
« Reply #11 on: May 15, 2024, 08:44:14 AM »

     hi rich and cnk

     loaded libavcodec4.tcz

     unfortunately no luck with firefox playing youtube or vimeo videos
     did play a video in internet archive but no sound

     if you have any more ideas
     they would be appreciated

     will google and see if i can find anything
 
     pulseaudio works

     i decided i dont need a gui for vlc
     since it will play as cvlc
     i just put a command in emelfm which i use as my filemanager
     so i play mp4s from there

     and once again thanks for all your help
 
     tinycore and you guys are the greatest

     ulfr





     

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14641
Re: cant set up tc15
« Reply #12 on: May 15, 2024, 09:11:40 AM »
I did a quick test in tc-15.x x86.

Code: [Select]
tce-load -i Xorg-7.7 flwm aterm wbar pavucontrol firefox adwaita-icon-theme
startx

Then start pavucontrol and check that the sound output is not muted, start firefox and navigate to youtube and videos play with sound.

None of the libav* extensions are loaded.
« Last Edit: May 15, 2024, 11:11:51 AM by Juanito »

Offline ulfr

  • Full Member
  • ***
  • Posts: 153
Re: cant set up tc15
« Reply #13 on: May 15, 2024, 10:18:54 AM »

      hi juanito

      ran your code
      it said everything except Xorg 7.7 was already loaded
      loaded Xorg 7.7

      then startx

      still will not play videos
      everything works in firefox except the actual playing of the video
     
      cvlc has always worked
      played mp4 videos with sound   

      maybe something specific to a dependency or setting in firefox itself

      may try to download firefox esr and see if that works
   
      will keep looking

      and once again thanks for all your help

      ulfr





Offline ulfr

  • Full Member
  • ***
  • Posts: 153
Re: cant set up tc15
« Reply #14 on: May 15, 2024, 08:59:49 PM »

  hi all

  just an update on my progress

  as suspected vlc gui would not open
  because the cpu is too old to recognize qt5 instructions
  worked on a newer computer

  still cant get youtube videos to play in firefox
  but since everything else in firefox works
  and vlc will play videos
  i will keep looking for a dependency or settings problem with firefox

  if anyone has any ideas
  please post them on this thread

  thanks

  ulfr